List cloud images
GET
/v1/cloud_computing/regions/{region_id}/imagesTo list all cloud images available in a cloud region, send a GET request to /v1/cloud_computing/regions/{region_id}/images. Choose a necessary region by adding its ID in the path parameter. The list contains both default operating systems and uploaded images.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
region_id*string
A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.
Query Parameters
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1Response Body
application/json
application/json
curl -X GET "https://example.com/v1/cloud_computing/regions/0/images"[ { "id": "6ac0370d-ff67-47f2-8d48-8896126012b3", "name": "name148", "image_size": 11264, "min_disk": 0, "allowed_flavors": [ "101", "102", "103", "104", "160", "201", "202" ] }, { "id": "e9e18632-f606-4aa5-a64c-110d43338439", "name": "name149", "image_size": 12288, "min_disk": 0, "allowed_flavors": [ "101", "102", "103", "104", "160", "201", "202" ] }]{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}